%% OBJEM ROZSTIENCH KONIZT
clc; clear all; close all;
format compact;
%% vstupn promnn

    start=301; finish=450;    %zatek a konec ez s koniztem
    pocet_konc_rezu=5;        %poet koncovch ez

    % vynulovn promnnch
    objem_voxel=0;            %poet voxel s koniztem
    objem_sf=0;               %poet voxel s koniztem (od start po finish - bez koncovch ez)
    objem_ml=0;
    objem_konc_rezu=0;
    x_vect=zeros(1,500);
    y_vect=zeros(1,500);
    plochy=zeros(1,500);
    vyska=0;

%% naten ez 

for k=start:finish
    nazev=strcat('recon0',num2str(k),'.tif');   
    A=imread(nazev);      %naten ezu do promnn A
    
%% filtrace Gaussinem - filtr DP

    m=1;                      % parametru pro vpoet velikosti kernelu
    s=size(A);                % velikost ezu (500 x 500 pixel)
    kernel=m*sqrt(s(:,1));    % velikost kernelu

    sigma=0.3*((kernel-1)*0.5-1)+0.8;  %vpoet parametru sigma pro funkci imgausfilt (Matlab) podle funkce GaussianBlur (Open CV)
   
    % gaussovsk filtr
    A_p=im2double(imgaussfilt(A,sigma));

%% normalizace jasu

    A_min=min(min(A_p));
    A_max=max(max(A_p));
    norm=uint8(((A_p-A_min)/(A_max-A_min))*255);
    
%% segmentace pomoc metody Otsu

    N=histcounts(norm);
    T=otsuthresh(N);
    binary=imbinarize(norm,T);

%% objem,ez s nejvt plochou

    % zjitn maximlnch rozmr ezu koniztem
    x=length(nonzeros(sum(binary)));
    y=length(nonzeros(sum(binary,2)));

    % uloen ve urench rozmr do vektor
    x_vect(k-start+1)=x;
    y_vect(k-start+1)=y;

    % vpoet plochy danho ezu
    plocha=sum(sum(binary));

    % uloen plochy s koniztem do vektoru 
    plochy(k)=plocha;

    % objem je souet ploch s koniztem v jednotlivch ezech
    objem_sf=objem_sf+plocha;

%% koncov ezy

    % objem poslednho ezu (finish)
     if k==finish
      objem_konc_rezu=plocha;
     end

%% uloen obrzk

    imwrite(binary,['3D_roz' num2str(k) '.bmp'],'bmp');
    
%% vka - poet ez
    vyska=vyska+1;    

end

%% tvorba koncovch ez

  for k=(finish+1):(finish+pocet_konc_rezu)
    imwrite(binary,['3D_roz' num2str(k) '.bmp'],'bmp');
  end

%% vpoet objemu celkovho objemu ve voxelech

    objem_voxel=objem_sf+pocet_konc_rezu*objem_konc_rezu;

%% vpoet zvten na zklad kalibrace 

    % uren stedn velikosti ez
    prumer_x=(sum(x_vect)/vyska);
    prumer_y=(sum(y_vect)/vyska);

    % zvten podle vypotench kalibranch rovnic
    zvetseni_x=(-0.0141*(prumer_x/100)+1.1751);
    zvetseni_y=(-0.0147*(prumer_y/100)+1.1760);

    vyska=vyska+pocet_konc_rezu;  %uren vky na zklad potu pouitch ez
    zvetseni_vyska=(0.0248*(vyska/100)+1.0735); % zvten na vku podle vypotench kalibranch rovnic

%% vpoet objemu koniztu (zapoten zvten ve vech tech smrech)

    objem_ml=(objem_sf+(objem_konc_rezu*pocet_konc_rezu))/(zvetseni_x*zvetseni_y*zvetseni_vyska)*(10^(-6));

%% vpis vsledk do Command Window:

objem_ml
objem_voxel
zvetseni_x 
zvetseni_y 
zvetseni_vyska

