%% STATISTIKA OBJEM
clc; close all; clear all;
format compact;

% namen objemy pomoc vhy a vypoten objemy z CT
vaha=[4.16;2.01;1.46;0.84;1.28;1.11;1.89;2.10;0.91;2.69;2.84;1.93;2.29;2.51;1.31;2.54;2.90;4.18;1.23;3.73;1.18;2.23;0.99;1.88;1.50;2.39;0.75;1.65;3.40;5.39;1.71;1.18;2.87;2.20;0.89];
CT=[4.42;2.14;1.51;0.86;1.37;1.17;1.98;2.19;0.95;2.81;3.01;2.05;2.45;2.64;1.38;2.67;3.06;4.43;1.30;3.92;1.22;2.37;1.03;2.03;1.62;2.49;0.78;1.77;3.62;5.74;1.82;1.21;3.03;2.33;0.93];
valec=[4.00;1.75;1.50;0.75;1.25;1.00;2.00;2.00;1.00;2.50;3.00;2.00;2.50;2.50;1.25;3.00;3.00;4.50;1.00;3.50;1.00;2.00;1.00;2.00;1.50;2.50;0.75;1.50;3.50;5.50;1.50;1.00;2.50;2.00;1.00];
% pepoet hodnot CT pomoc kalibran rovnice - z excelu
CT_kal=CT*0.9385+0.0186;

%% TEST NORMLNHO ROZDLEN - Lilliefors test (nemusme znt stedn hodnotu a rozptyl, sta jejich odhady)

[hCT,pCT]=lillietest(CT,'Alpha',0.05); % p-hodnota pro CT (pCT)
[hM,pM]=lillietest(vaha,'Alpha',0.05); % p-hodnota pro vhu (pM)
[hV,pV]=lillietest(valec,'Alpha',0.05); % p-hodnota pro vlec (pV)
[hCT_kal,pCT_kal]=lillietest(CT_kal,'Alpha',0.05); %p-hodnota pro CT zkalibrovan (pCT_kal)
%nen pravda, e soubory dat CT, vha a CT_kal nemaj normln rozdlen: 
%hCT=0, pCT=0.4276, hM=0, pM=0.4252, hCT_kal=0, pCT_kal=0.4276
%soubor objem namench v odmrnm vlci nem notrmln rozdlen hV=1, pV=0,0210

%% PROV T-TEST (dvojice hodnot, u nich zkoumme rozdl, znme stedn hodnotu - 0 a neznme rozptyl

[h1,p1]=ttest(vaha,CT);
%soubory se statisticky vznamn li!!!

%% PROV T-TEST s pepotenmi hodnotami z CT

[h2,p2]=ttest(vaha,CT_kal);
%neprokzalo se, e by se hodnoty objem uren na vze a pepotan z CT vznamn liily

%% WILCOXONV PROV TEST - alespo jeden ze soubor dat nem normln rozdlen
[p3,h3] = signrank(vaha,valec);     %h3=0, p3=0.2874, neprokzalo se, e by se hodnoty soubory dat statisticky vznamn liily
[p4,h4] = signrank(valec,CT);       %h4=1, p4=1.0667*10-4, soubory dat se statisticky vznamn li!
[p5,h5] = signrank(valec,CT_kal);   %h5=0, p5=0.3099, neprokzalo se, e by se hodnoty soubory dat statisticky vznamn liily




